apiVersion: integreatly.org/v1alpha1
kind: GrafanaDashboard
metadata:
  name: kubernetes-resources-node
  labels:
    app: grafana
spec:
  customFolderName: kubernetes
  json: |-
    {
        "annotations": {
            "list": [

            ]
        },
        "editable": true,
        "gnetId": null,
        "graphTooltip": 0,
        "hideControls": false,
        "links": [

        ],
        "refresh": "10s",
        "rows": [
            {
                "collapse": false,
                "height": "250px",
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 10,
                        "id": 1,
                        "legend": {
                            "avg": false,
                            "current": false,
                            "max": false,
                            "min": false,
                            "show": true,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 0,
                        "links": [

                        ],
                        "nullPointMode": "null as zero",
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sum(node_namespace_pod_container:container_cpu_usage_seconds_total:sum_rate{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "time_series",
                                "intervalFactor": 2,
                                "legendFormat": "{{pod}}",
                                "legendLink": null,
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "CPU Usage",
                        "tooltip": {
                            "shared": false,
                            "sort": 0,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": null,
                                "show": false
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "CPU Usage",
                "titleSize": "h6"
            },
            {
                "collapse": false,
                "height": "250px",
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 1,
                        "id": 2,
                        "legend": {
                            "avg": false,
                            "current": false,
                            "max": false,
                            "min": false,
                            "show": true,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 1,
                        "links": [

                        ],
                        "nullPointMode": "null as zero",
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": false,
                        "steppedLine": false,
                        "styles": [
                            {
                                "alias": "Time",
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "pattern": "Time",
                                "type": "hidden"
                            },
                            {
                                "alias": "CPU Usage",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #A",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "short"
                            },
                            {
                                "alias": "CPU Requests",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #B",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "short"
                            },
                            {
                                "alias": "CPU Requests %",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #C",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "percentunit"
                            },
                            {
                                "alias": "CPU Limits",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #D",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "short"
                            },
                            {
                                "alias": "CPU Limits %",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #E",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "percentunit"
                            },
                            {
                                "alias": "Pod",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "pod",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "short"
                            },
                            {
                                "alias": "",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "pattern": "/.*/",
                                "thresholds": [

                                ],
                                "type": "string",
                                "unit": "short"
                            }
                        ],
                        "targets": [
                            {
                                "expr": "sum(node_namespace_pod_container:container_cpu_usage_seconds_total:sum_rate{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "A",
                                "step": 10
                            },
                            {
                                "expr": "sum(kube_pod_container_resource_requests_cpu_cores{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "B",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_cpu_usage_seconds_total:sum_rate{cluster=\"$cluster\", node=~\"$node\"}) by (pod) / sum(kube_pod_container_resource_requests_cpu_cores{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "C",
                                "step": 10
                            },
                            {
                                "expr": "sum(kube_pod_container_resource_limits_cpu_cores{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "D",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_cpu_usage_seconds_total:sum_rate{cluster=\"$cluster\", node=~\"$node\"}) by (pod) / sum(kube_pod_container_resource_limits_cpu_cores{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "E",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "CPU Quota",
                        "tooltip": {
                            "shared": false,
                            "sort": 0,
                            "value_type": "individual"
                        },
                        "transform": "table",
                        "type": "table",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": null,
                                "show": false
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "CPU Quota",
                "titleSize": "h6"
            },
            {
                "collapse": false,
                "height": "250px",
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 10,
                        "id": 3,
                        "legend": {
                            "avg": false,
                            "current": false,
                            "max": false,
                            "min": false,
                            "show": true,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 0,
                        "links": [

                        ],
                        "nullPointMode": "null as zero",
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_working_set_bytes{cluster=\"$cluster\", node=~\"$node\", container!=\"\"}) by (pod)",
                                "format": "time_series",
                                "intervalFactor": 2,
                                "legendFormat": "{{pod}}",
                                "legendLink": null,
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Memory Usage (w/o cache)",
                        "tooltip": {
                            "shared": false,
                            "sort": 0,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "bytes",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": null,
                                "show": false
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Memory Usage",
                "titleSize": "h6"
            },
            {
                "collapse": false,
                "height": "250px",
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 1,
                        "id": 4,
                        "legend": {
                            "avg": false,
                            "current": false,
                            "max": false,
                            "min": false,
                            "show": true,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 1,
                        "links": [

                        ],
                        "nullPointMode": "null as zero",
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": false,
                        "steppedLine": false,
                        "styles": [
                            {
                                "alias": "Time",
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "pattern": "Time",
                                "type": "hidden"
                            },
                            {
                                "alias": "Memory Usage",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #A",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "bytes"
                            },
                            {
                                "alias": "Memory Requests",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #B",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "bytes"
                            },
                            {
                                "alias": "Memory Requests %",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #C",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "percentunit"
                            },
                            {
                                "alias": "Memory Limits",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #D",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "bytes"
                            },
                            {
                                "alias": "Memory Limits %",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #E",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "percentunit"
                            },
                            {
                                "alias": "Memory Usage (RSS)",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #F",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "bytes"
                            },
                            {
                                "alias": "Memory Usage (Cache)",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #G",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "bytes"
                            },
                            {
                                "alias": "Memory Usage (Swap)",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "Value #H",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "bytes"
                            },
                            {
                                "alias": "Pod",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "link": false,
                                "linkTargetBlank": false,
                                "linkTooltip": "Drill down",
                                "linkUrl": "",
                                "pattern": "pod",
                                "thresholds": [

                                ],
                                "type": "number",
                                "unit": "short"
                            },
                            {
                                "alias": "",
                                "colorMode": null,
                                "colors": [

                                ],
                                "dateFormat": "YYYY-MM-DD HH:mm:ss",
                                "decimals": 2,
                                "pattern": "/.*/",
                                "thresholds": [

                                ],
                                "type": "string",
                                "unit": "short"
                            }
                        ],
                        "targets": [
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_working_set_bytes{cluster=\"$cluster\", node=~\"$node\",container!=\"\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "A",
                                "step": 10
                            },
                            {
                                "expr": "sum(kube_pod_container_resource_requests_memory_bytes{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "B",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_working_set_bytes{cluster=\"$cluster\", node=~\"$node\",container!=\"\"}) by (pod) / sum(kube_pod_container_resource_requests_memory_bytes{node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "C",
                                "step": 10
                            },
                            {
                                "expr": "sum(kube_pod_container_resource_limits_memory_bytes{cluster=\"$cluster\", node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "D",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_working_set_bytes{cluster=\"$cluster\", node=~\"$node\",container!=\"\"}) by (pod) / sum(kube_pod_container_resource_limits_memory_bytes{node=~\"$node\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "E",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_rss{cluster=\"$cluster\", node=~\"$node\",container!=\"\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "F",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_cache{cluster=\"$cluster\", node=~\"$node\",container!=\"\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "G",
                                "step": 10
                            },
                            {
                                "expr": "sum(node_namespace_pod_container:container_memory_swap{cluster=\"$cluster\", node=~\"$node\",container!=\"\"}) by (pod)",
                                "format": "table",
                                "instant": true,
                                "intervalFactor": 2,
                                "legendFormat": "",
                                "refId": "H",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Memory Quota",
                        "tooltip": {
                            "shared": false,
                            "sort": 0,
                            "value_type": "individual"
                        },
                        "transform": "table",
                        "type": "table",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "short",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": null,
                                "show": false
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Memory Quota",
                "titleSize": "h6"
            }
        ],
        "schemaVersion": 14,
        "style": "dark",
        "tags": [
            "kubernetes"
        ],
        "templating": {
            "list": [
                {
                    "current": {
                        "text": "default",
                        "value": "default"
                    },
                    "hide": 0,
                    "label": null,
                    "name": "datasource",
                    "options": [

                    ],
                    "query": "prometheus",
                    "refresh": 1,
                    "regex": "",
                    "type": "datasource"
                },
                {
                    "allValue": null,
                    "current": {
                        "text": "",
                        "value": ""
                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "cluster",
                    "options": [

                    ],
                    "query": "label_values(kube_pod_info, cluster)",
                    "refresh": 1,
                    "regex": "",
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "current": {
                        "text": "",
                        "value": ""
                    },
                    "datasource": "$datasource",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": true,
                    "name": "node",
                    "options": [

                    ],
                    "query": "label_values(kube_pod_info{cluster=\"$cluster\"}, node)",
                    "refresh": 1,
                    "regex": "",
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                }
            ]
        },
        "time": {
            "from": "now-1h",
            "to": "now"
        },
        "timepicker": {
            "refresh_intervals": [
                "5s",
                "10s",
                "30s",
                "1m",
                "5m",
                "15m",
                "30m",
                "1h",
                "2h",
                "1d"
            ],
            "time_options": [
                "5m",
                "15m",
                "1h",
                "6h",
                "12h",
                "24h",
                "2d",
                "7d",
                "30d"
            ]
        },
        "timezone": "UTC",
        "title": "Resources - Node (Pods)",
        "uid": "200ac8fdbfbb74b39aff88118e4d1c2c",
        "version": 0
    }
